cgGetFirstProgramAnnotation(3)

NAME
cgGetFirstProgramAnnotation - get the first annotation of a program

SYNOPSIS
  #include <Cg/cg.h>
  CGannotation cgGetFirstProgramAnnotation( CGprogram program );

PARAMETERS

program
    The program from which to retrieve the annotation.

RETURN VALUES
Returns the first annotation from the given program.

Returns NULL if the program has no annotations.

DESCRIPTION
The annotations associated with a program can be retrieved using cgGetFirstProgramAnnotation. The remainder of the program's annotations can be discovered by iterating through the parameters, calling the cgGetNextAnnotation manpage to get to the next one.

EXAMPLES
  CGannotation ann = cgGetFirstProgramAnnotation( program );
  while( ann )
  {
     /* do something with ann */
     ann = cgGetNextAnnotation( ann );
  }

ERRORS
CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

HISTORY
cgGetFirstProgramAnnotation was introduced in Cg 1.4.

SEE ALSO
the cgGetNamedProgramAnnotation manpage, the cgGetNextAnnotation manpage